@echo off
REM ================================================================
REM DOCU_BUILD - Python Virtual Environment einrichten
REM ================================================================

call "%~dp0setenv.bat"

if not exist "%PROJECT%\.venv" (
    echo Initialisiere Python virtual environment...
    py -m venv "%PROJECT%\.venv" --upgrade-deps
    echo Erfolgreich.

    call "%PROJECT%\.venv\Scripts\activate.bat"
    echo Installiere erforderliche Python Packages...
    pip install -r "%PROJECT%\requirements.txt" -q
    echo Erfolgreich.
    deactivate
) else (
    echo Erforderliche Python Packages bereits installiert!
)
